> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.modbox.run/llms.txt.
> For full documentation content, see https://docs.modbox.run/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.modbox.run/_mcp/server.

# Update Member Role

PUT https://api.modbox.run/workspaces/{workspace_id}/members/{target_user_id}
Content-Type: application/json

Change a member's role. Requires owner or admin role.

Reference: https://docs.modbox.run/api-reference/modbox-api/workspaces/update-workspace-member-role

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: open-api
  version: 1.0.0
paths:
  /workspaces/{workspace_id}/members/{target_user_id}:
    put:
      operationId: update-workspace-member-role
      summary: Update Member Role
      description: Change a member's role. Requires owner or admin role.
      tags:
        - subpackage_workspaces
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: target_user_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceMemberResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMemberRoleRequest'
servers:
  - url: https://api.modbox.run
components:
  schemas:
    WorkspaceRole:
      type: string
      enum:
        - owner
        - admin
        - member
        - viewer
      description: RBAC roles within a workspace.
      title: WorkspaceRole
    UpdateMemberRoleRequest:
      type: object
      properties:
        role:
          $ref: '#/components/schemas/WorkspaceRole'
          description: New RBAC role
      required:
        - role
      description: Request to change a member's role.
      title: UpdateMemberRoleRequest
    WorkspaceMemberResponse:
      type: object
      properties:
        added_by:
          type: string
        created_at:
          type: string
          format: date-time
        id:
          type: string
          format: uuid
        role:
          $ref: '#/components/schemas/WorkspaceRole'
        user_id:
          type: string
        workspace_id:
          type: string
          format: uuid
      required:
        - added_by
        - created_at
        - id
        - role
        - user_id
        - workspace_id
      description: Workspace member representation.
      title: WorkspaceMemberResponse
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

```

## SDK Code Examples

```typescript
import { ModboxOpenApiClient } from "modbox-sdk";

async function main() {
    const client = new ModboxOpenApiClient({
        token: "YOUR_TOKEN_HERE",
    });
    await client.workspaces.updateWorkspaceMemberRole("workspace_id", "target_user_id", {
        role: "owner",
    });
}
main();

```

```python
from modbox import ModboxOpenApi

client = ModboxOpenApi(
    token="YOUR_TOKEN_HERE",
)

client.workspaces.update_workspace_member_role(
    workspace_id="workspace_id",
    target_user_id="target_user_id",
    role="owner",
)

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.modbox.run/workspaces/workspace_id/members/target_user_id"

	payload := strings.NewReader("{\n  \"role\": \"owner\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.modbox.run/workspaces/workspace_id/members/target_user_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"role\": \"owner\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.modbox.run/workspaces/workspace_id/members/target_user_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"role\": \"owner\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.modbox.run/workspaces/workspace_id/members/target_user_id', [
  'body' => '{
  "role": "owner"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.modbox.run/workspaces/workspace_id/members/target_user_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"role\": \"owner\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["role": "owner"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.modbox.run/workspaces/workspace_id/members/target_user_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```